/* ===================================================================
 * TEMPLATES CORE CMS
 * =================================================================*/
.TPL_SOMMAIREPAGE {
    ul {
        li {
            padding: 0 0 10px;
            box-sizing: border-box;
            position: relative;

            a {
                font-weight: 500;
                color: @texte;
                transition: all 0.3s;
                .ext;
            }

            &::before {
                content: '';
                width: 16px;
                height: 13px;
                margin-right: 10px;
                color: @bleu_1;
                .background('fleche.png', no-repeat);
                display: inline-block;
                transition: all 0.3s;
            }

            &:hover, &:focus {
                a {
                    color: @bleu;
                    text-decoration: none;
                }

                &::before {
                    transform: translateX(7px);
                }
            }
        }
    }
}

#lienEvitement {
    border-bottom: 3px solid @bleu;

    ul a:hover, ul a:focus {
        background-color: @bleu;
    }
}

.TPL_LOGIN {
    background: @gris;

    .innerGroupeQuestion {
        label {
            margin-bottom: 15px;
            margin-left: 25px;
        }
    }
}

.TPL_PLANSITE {
    a {
        text-decoration: none;

        &::before {
            content: "\f105";
            margin-right: 10px;
            display: inline-block;
            .fas;
            .tr;
        }

        &:hover, &:focus {
            &::before {
                transform: translateX(5px);
            }
        }
    }

    .innerParagraphe {
        & > ul {
            overflow: hidden;
            margin: 0 0 2rem;
            padding: 0;

            & > li {
                // Niveau 1
                margin: 0;
                padding: 0 0 2rem 1.5rem;
                position: relative;
                font-size: 2rem;

                &::before {
                    color: @lienNiv1;
                    .fontSizeRem(20);
                }

                & > a {
                    color: @lienNiv1;
                    .fontSizeRem(20);
                    font-weight: 500;
                    margin-bottom: 10px;
                    display: inline-block;
                    line-height: 1;

                    &:hover, &:focus {
                        text-decoration: underline;
                    }
                }

                & > ul {
                    padding: 0;
                    margin-left: 3rem;

                    & > li {
                        margin: 0;
                        padding: 1rem 0 1rem 1.5rem;
                        position: relative;
                        font-size: 1.8rem;

                        // Niveau 2
                        & > a {
                            color: @lienNiv2;
                            .fontSizeRem(18);

                            &::before {
                                color: @lienNiv2;
                                .fontSizeRem(18);
                            }
                        }

                        & > ul {
                            margin-top: 15px;
                            margin-left: 3rem;

                            & > li {
                                margin: 0;
                                padding: 0 0 0 1.5rem;
                                position: relative;

                                // Niveau 3
                                & > a {
                                    font-weight: 400;
                                    color: @lienNiv3;
                                    font-size: 16px;

                                    &::before {
                                        color: @lienNiv3;
                                        .fontSizeRem(15);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    @media screen and (max-width: 480px) {
        .innerParagraphe {
            & > ul {
                & > li {
                    & > ul {
                        margin-left: 0;
                    }
                }
            }
        }
    }
}

    #hautDePage {
        .btnHautDePage;
        background: @bleu;
        color: #fff;
        border: 2px solid #fff;
        transition: all 0.3s;
        right: 40px;
        bottom: 40px;
        width: 44px;
        height: 44px;

        &:before {
            color: #fff;
        }

        &:hover, &:focus {
            background: #fff;
            border: 2px solid @bleu;

            &:before {
                color: @bleu;
            }

            &::after {
                bottom: ~"calc(100% - 10px)";
                left: ~"calc(100% - 10px)";
                width: 40px;
                height: 40px;
                background-size: 40px 40px;
                opacity: 1;
            }
        }

        @media screen and (max-width: @mobile) {
            &::after {
                content: none;
            }
        }
    }


.TPL_DOCUMENTS {
    dl {
        border: 1px solid #cdcdcd;
    }

    dt {
        color: #fff;
        background-color: @bleu;
        padding: 1rem 2rem;
        line-height: 1.25;
        text-transform: uppercase;
        .fontSizeRem(24);
        font-weight: 700;

        &::before {
            .fas;
            content: '\f0ca';
            font-size: 18px;
            margin-right: 1rem;
        }
    }

    p.picto_document {
        margin-left: 15px !important;
        font-style: italic;
    }

    dd {
        border-bottom: 1px solid #cdcdcd;
        margin: 1em 0 0 2em;

        &:last-child {
            border: none;
        }

        a {
            color: @texte;
            position: relative;
            text-decoration: none;
            font-style: normal;
            transition: all 0.3s;

            &:hover, &:focus {
                color: @bleu;

                &::before {
                    color: @bleu_1;
                }
            }
        }

        & > p > a::before {
            content: '\f15b';
            .fas;
            zoom: 1;
            speak: none;
            -webkit-font-smoothing: antialiased;
            display: inline-block;
            font-weight: normal;
            position: absolute;
            display: block;
            margin-left: -22px;
            color: @bleu;
            top: 49%;
            transform: translateY(-50%);
        }

    }
}

